Bug 474818 - Review Request: perl-Class-XSAccessor - Generate fast XS accessors without runtime compilation
Review Request: perl-Class-XSAccessor - Generate fast XS accessors without ru...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 1111446 (view as bug list)
Depends On: 474815
Blocks: 1108381
  Show dependency treegraph
 
Reported: 2008-12-05 09:24 EST by Marcela Mašláňová
Modified: 2014-11-12 18:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-16 03:08:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-12-05 09:24:51 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Class-XSAccessor/perl-Class-XSAccessor.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Class-XSAccessor/perl-Class-XSAccessor-0.11-1.fc10.src.rpm
Description: Class::XSAccessor implements fast read, write and read/write accessors in XS. Additionally, it can provide predicates such as has_foo() for testing whether the attribute foo is defined in the object. It only works with
objects that are implemented as ordinary hashes. Class::XSAccessor::Array
implements the same interface for objects that use arrays for their
internal representation.
Comment 1 Jason Tibbitts 2008-12-10 15:20:17 EST
AutoXS::Header does not seem to be available in rawhide yet.
Comment 2 Parag AN(पराग) 2008-12-13 05:56:46 EST
build failed because of missing BR perl(Test::More)
Can't locate Test/More.pm

See http://koji.fedoraproject.org/koji/taskinfo?taskID=996515
Comment 4 Parag AN(पराग) 2008-12-15 04:18:25 EST
Just saw that upstream source is now downloadable and new sources are already in releases.
Can you resubmit this SRPM with new source
http://www.cpan.org/authors/id/S/SM/SMUELLER/Class-XSAccessor-0.14.tar.gz ?
Comment 5 Parag AN(पराग) 2008-12-15 04:18:53 EST
oops s/now/not
Comment 7 Marcela Mašláňová 2008-12-15 06:25:03 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=999048
Comment 8 Parag AN(पराग) 2008-12-15 08:15:03 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=999048
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6cc5e214d9873f9205c2c49a1b7f3008  Class-XSAccessor-0.14.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=6, Tests=65,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.19 cusr  0.02 csys =  0.23 CPU)
+ Package perl-Class-XSAccessor-0.14-1.fc11 =>
  Provides: XSAccessor.so perl(Class::XSAccessor) = 0.14
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) perl >= 0:5.006 perl(Carp) perl(XSLoader) perl(strict) perl(warnings) rtld(GNU_HASH)

APPROVED.
Comment 9 Marcela Mašláňová 2008-12-15 08:24:27 EST
New Package CVS Request
=======================
Package Name: perl-Class-XSAccessor
Short Description: Generate fast XS accessors without runtime compilation
Owners: mmaslano
Branches: F-10
InitialCC: perl-sig
Comment 10 Dennis Gilmore 2008-12-15 15:42:13 EST
CVS Done
Comment 11 Petr Pisar 2014-06-20 02:42:12 EDT
*** Bug 1111446 has been marked as a duplicate of this bug. ***
Comment 12 Petr Pisar 2014-06-20 02:45:11 EDT
Package Change Request
======================
Package Name: perl-Class-XSAccessor
New Branches: epel7
Owners: cicku
InitialCC: perl-sig

As requested in bug #1111446.
Comment 13 Kevin Fenzi 2014-06-21 13:13:09 EDT
Git done (by process-git-requests).
Comment 14 Petr Šabata 2014-10-09 09:14:55 EDT
Package Change Request
======================
Package Name: perl-Class-XSAccessor
New Branches: el6
Owners: psabata
InitialCC: perl-sig

I'd like to get this into EPEL6 for #1132356.
Comment 15 Kevin Fenzi 2014-10-13 19:01:27 EDT
Git done (by process-git-requests).
Comment 16 Petr Šabata 2014-10-14 05:01:17 EDT
Thanks, Kevin.
Comment 17 Fedora Update System 2014-10-14 05:15:30 EDT
perl-Class-XSAccessor-1.19-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Class-XSAccessor-1.19-4.el6
Comment 18 Fedora Update System 2014-10-24 11:07:26 EDT
perl-Class-XSAccessor-1.19-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Class-XSAccessor-1.19-5.el6
Comment 19 Fedora Update System 2014-11-12 18:17:39 EST
perl-Class-XSAccessor-1.19-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.